%global commit 996b7e61b7c06e7cbe35005f7ad39df66eef2bb0
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name: collections-generic
Version: 4.01
Release: 1%{?dist}
Summary: A generics-enabled version of Apache Commons-Collections
License: ASL 2.0
URL: http://sourceforge.net/projects/collections/
Source0: https://github.com/megamattron/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1: http://repo1.maven.org/maven2/net/sourceforge/collections/%{name}/%{version}/%{name}-%{version}.pom
BuildArch: noarch

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: java-devel
BuildRequires: javapackages-tools

Requires: java

%description
A generics-enabled version of Apache Commons-Collections.

%package javadoc
Summary: Javadoc for %{name}
Group: Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -qn %{name}-%{commit}

%build
ant jar javadoc

%check
ant test

%install
install -d -m 0755 %{buildroot}/%{_javadir}
install -d -m 0755 %{buildroot}/%{_javadocdir}/%{name}
install -d -m 0755 %{buildroot}/%{_mavenpomdir}

cp -ar build/docs/apidocs/* %{buildroot}/%{_javadocdir}/%{name}

install -m 0644 build/%{name}-%{version}.jar %{buildroot}/%{_javadir}/%{name}.jar
install -m 0644 %{SOURCE1} %{buildroot}/%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar 

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt README.html
%{_javadir}/%{name}.jar

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/%{name}

%changelog
* Wed Feb  5 2014 Robert Rati <rrati@redhat> - 4.01-1
- Initial packaging
